Subject: Re: bug#19811: Attempt to graft texlive times out after one hour

From: [email-masked] (Ludovic Courtès)
Date: Thu, 19 Oct 2017 09:26:17 +0200

Hello,

Ricardo Wurmus <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Mark H Weaver <[email-masked]> skribis:
>>
>>> I was able to do it by passing "--max-silent-time=36000".  It ended up
>>> taking just under 2 hours (real time) to graft texlive on my i686
>>> Libreboot X60 system.
>>
>> With commit 333c376 it may be down to one hour if there are two cores.
>> Still way too much for something like TeX Live, but an improvement.
>
> Is this still an issue?  While grafting the texlive package is still
> rather slow I haven’t seen anything close to one hour recently.

Same here.  Grafting big packages is still rather slow as you write, but
we shouldn’t have anything as big as the old monolithic texlive package
(4 GiB!).

> Can this bug be closed?

I think so.  Done!

Ludo’.